### Method

# FwupdPlugin Efivars create_boot_entry_for_volume

since: 2.0.6

#### Declaration [src]

    gboolean
    fu_efivars_create_boot_entry_for_volume (
      FuEfivars* self,
      guint16 idx,
      FuVolume* volume,
      const gchar* name,
      const gchar* target,
      GError** error
    )

#### Description [src]

Creates a BootXXXX variable for a given volume, name and target.

If `target` does not exist on the volume then a dummy file is created.

Available since: 2.0.6

#### Parameters

`idx`

  Type: `guint16`

  Boot index, typically 0x0001.

`volume`

  Type: `FuVolume`

  A `FuVolume`.

  The data is owned by the caller of the method.

`name`

  Type: `const gchar*`

  A display name, e.g. “Fedora”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`target`

  Type: `const gchar*`

  An EFI binary, e.g. “shim.efi”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.